[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfaceList.GetEnumerator

Create an IEnumerator instance

## Declaration

Source position: classesh.inc line 1880

`public function TInterfaceList.GetEnumerator: TInterfaceListEnumerator;`

## Description

GetEnumerator is the implementation of the IEnumerable interface for TInterfaceList. It creates a TInterfaceListEnumerator instance and returns it's IEnumerator interface. The enumerator enumerates all interfaces in the list.

## See also

TInterfaceListEnumerator |  | Implements IEnumerator for the TInterfaceList class.
IEnumerator |  | Enumerator support interface
IEnumerable |  | Interface to retrieve an enumerator from a class.

Documentation generated on: Feb 26 2014